processArrayDataObject {arrayMagic} | R Documentation

## Automated processing and normalisation of an arrayData-object (part of function processArrayData)

### Description

Automated processing and normalisation of an `arrayData`-object. The function is called by `processArrayData`.

### Usage

    processArrayDataObject(arrayDataObject, spotIdentifier = "Name", verbose = TRUE, normalisationMethod = "vsn", subtractBackground=FALSE, spotsRemovedBeforeNormalisation = NULL, spotsRemovedAfterNormalisation = NULL, subGroups = NULL, channelsSeparately = FALSE, hybridisationGroups = NULL)

### Arguments

`arrayDataObject` | object of class `arrayData-class`; required; default missing
`spotIdentifier` | character string; required; default "Name". `spotIdentifier` specifies the column in the image analysis result files which contain spot or gene identifiers.
`verbose` | logical; required; default: `TRUE`
`normalisationMethod` | character string; required; default: "vsn"; cf. argument `method` of `normalise`
`subtractBackground` | logical; required; default: `FALSE` cf. `normalise`
`spotsRemovedBeforeNormalisation` | vector of character strings; required; default `NULL`. All spots which match the string(s) will be excluded already before normalisation and will not be present in the resulting objects at all.
`spotsRemovedAfterNormalisation` | vector of character strings; required; default: `NULL`; cf. argument `spotsRemovedBeforeNormalisation`
`subGroups` | character string or `NULL`; required; cf. `normalise`; default: `NULL`
`channelsSeparately` | logical; required; cf. `normalise`; default: `FALSE`
`hybridisationGroups` | list of numeric vectors; cf. `normalise`; required; default: `NULL`

### Value

A list of objects, i.e. an "exprSetRGObject" and and "arrayDataObject" with corresponding class types `exprSetRG-class` and `arrayData-class`.

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`processArrayData`, `normalise`, `exprSetRG-class`, `arrayData-class`

### Examples

           LOADPATH <- file.path(.path.package("arrayMagic"), "extdata")
            SLIDEDESCRIPTIONFILE <- "slideDescription"

           slideDescription <- readpDataSlides(
                                 loadPath=LOADPATH,
                                 slideDescriptionFile=SLIDEDESCRIPTIONFILE
                               )
            arrayDataObject <- readIntensities(
                                 loadPath=LOADPATH,
                                 slideDescription=slideDescription
                              )

           resultList <- processArrayDataObject( arrayDataObject=arrayDataObject )

[Package Contents]